Index: contrib/crossrpms/rtems4.8/arm/rtems-4.8-arm-rtems4.8-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.8/arm/rtems-4.8-arm-rtems4.8-binutils.spec	(revision de35b5116ff5fcee565acc524f859530efbdf496)
+++ contrib/crossrpms/rtems4.8/arm/rtems-4.8-arm-rtems4.8-binutils.spec	(revision 9bd037492af5051c158096a0b11f73476dbc68f3)
@@ -14,7 +14,7 @@
 %endif
 
-%define binutils_pkgvers 2.17.90
-%define binutils_version 2.17.90
-%define binutils_rpmvers %{expand:%(echo "2.17.90" | tr - _ )}
+%define binutils_pkgvers 2.18
+%define binutils_version 2.18
+%define binutils_rpmvers %{expand:%(echo "2.18" | tr - _ )}
 
 Name:		rtems-4.8-arm-rtems4.8-binutils
@@ -22,5 +22,5 @@
 Group:		Development/Tools
 Version:	%{binutils_rpmvers}
-Release:	2%{?dist}
+Release:	1%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/binutils
@@ -194,9 +194,4 @@
 Requires(preun):	/sbin/install-info
 
-Provides:	rtems-4.8-rtems4.7-base-binutils = %{binutils_version}-%{release}
-Obsoletes:	rtems-4.8-rtems4.7-base-binutils < %{binutils_version}-%{release}
-Provides:	rtems-4.8-rtems-base-binutils = %{binutils_version}-%{release}
-Obsoletes:	rtems-4.8-rtems-base-binutils < %{binutils_version}-%{release}
-
 %description -n rtems-4.8-binutils-common
 
@@ -213,7 +208,4 @@
 %if "%{binutils_version}" > "2.17"
   /sbin/install-info --info-dir=%{_infodir} %{_infodir}/gprof.info.gz || :
-%endif
-%if "%{binutils_version}" < "2.13"
-  /sbin/install-info --info-dir=%{_infodir} %{_infodir}/gasp.info.gz || :
 %endif
 
@@ -227,7 +219,4 @@
 %if "%{binutils_version}" > "2.17"
   /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gprof.info.gz || :
-%endif
-%if "%{binutils_version}" < "2.13"
-  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gasp.info.gz || :
 %endif
 fi
@@ -245,7 +234,4 @@
 %{_infodir}/gprof.info*
 %endif
-%if "%{binutils_version}" < "2.13"
-%{_infodir}/gasp.info*
-%endif
 
 %dir %{_prefix}/share
Index: contrib/crossrpms/rtems4.8/avr/rtems-4.8-avr-rtems4.8-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.8/avr/rtems-4.8-avr-rtems4.8-binutils.spec	(revision de35b5116ff5fcee565acc524f859530efbdf496)
+++ contrib/crossrpms/rtems4.8/avr/rtems-4.8-avr-rtems4.8-binutils.spec	(revision 9bd037492af5051c158096a0b11f73476dbc68f3)
@@ -14,7 +14,7 @@
 %endif
 
-%define binutils_pkgvers 2.17.90
-%define binutils_version 2.17.90
-%define binutils_rpmvers %{expand:%(echo "2.17.90" | tr - _ )}
+%define binutils_pkgvers 2.18
+%define binutils_version 2.18
+%define binutils_rpmvers %{expand:%(echo "2.18" | tr - _ )}
 
 Name:		rtems-4.8-avr-rtems4.8-binutils
@@ -22,5 +22,5 @@
 Group:		Development/Tools
 Version:	%{binutils_rpmvers}
-Release:	2%{?dist}
+Release:	1%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/binutils
@@ -194,9 +194,4 @@
 Requires(preun):	/sbin/install-info
 
-Provides:	rtems-4.8-rtems4.7-base-binutils = %{binutils_version}-%{release}
-Obsoletes:	rtems-4.8-rtems4.7-base-binutils < %{binutils_version}-%{release}
-Provides:	rtems-4.8-rtems-base-binutils = %{binutils_version}-%{release}
-Obsoletes:	rtems-4.8-rtems-base-binutils < %{binutils_version}-%{release}
-
 %description -n rtems-4.8-binutils-common
 
@@ -213,7 +208,4 @@
 %if "%{binutils_version}" > "2.17"
   /sbin/install-info --info-dir=%{_infodir} %{_infodir}/gprof.info.gz || :
-%endif
-%if "%{binutils_version}" < "2.13"
-  /sbin/install-info --info-dir=%{_infodir} %{_infodir}/gasp.info.gz || :
 %endif
 
@@ -227,7 +219,4 @@
 %if "%{binutils_version}" > "2.17"
   /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gprof.info.gz || :
-%endif
-%if "%{binutils_version}" < "2.13"
-  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gasp.info.gz || :
 %endif
 fi
@@ -245,7 +234,4 @@
 %{_infodir}/gprof.info*
 %endif
-%if "%{binutils_version}" < "2.13"
-%{_infodir}/gasp.info*
-%endif
 
 %dir %{_prefix}/share
Index: contrib/crossrpms/rtems4.8/bfin/rtems-4.8-bfin-rtems4.8-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.8/bfin/rtems-4.8-bfin-rtems4.8-binutils.spec	(revision de35b5116ff5fcee565acc524f859530efbdf496)
+++ contrib/crossrpms/rtems4.8/bfin/rtems-4.8-bfin-rtems4.8-binutils.spec	(revision 9bd037492af5051c158096a0b11f73476dbc68f3)
@@ -14,7 +14,7 @@
 %endif
 
-%define binutils_pkgvers 2.17.90
-%define binutils_version 2.17.90
-%define binutils_rpmvers %{expand:%(echo "2.17.90" | tr - _ )}
+%define binutils_pkgvers 2.18
+%define binutils_version 2.18
+%define binutils_rpmvers %{expand:%(echo "2.18" | tr - _ )}
 
 Name:		rtems-4.8-bfin-rtems4.8-binutils
@@ -22,5 +22,5 @@
 Group:		Development/Tools
 Version:	%{binutils_rpmvers}
-Release:	2%{?dist}
+Release:	1%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/binutils
@@ -194,9 +194,4 @@
 Requires(preun):	/sbin/install-info
 
-Provides:	rtems-4.8-rtems4.7-base-binutils = %{binutils_version}-%{release}
-Obsoletes:	rtems-4.8-rtems4.7-base-binutils < %{binutils_version}-%{release}
-Provides:	rtems-4.8-rtems-base-binutils = %{binutils_version}-%{release}
-Obsoletes:	rtems-4.8-rtems-base-binutils < %{binutils_version}-%{release}
-
 %description -n rtems-4.8-binutils-common
 
@@ -213,7 +208,4 @@
 %if "%{binutils_version}" > "2.17"
   /sbin/install-info --info-dir=%{_infodir} %{_infodir}/gprof.info.gz || :
-%endif
-%if "%{binutils_version}" < "2.13"
-  /sbin/install-info --info-dir=%{_infodir} %{_infodir}/gasp.info.gz || :
 %endif
 
@@ -227,7 +219,4 @@
 %if "%{binutils_version}" > "2.17"
   /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gprof.info.gz || :
-%endif
-%if "%{binutils_version}" < "2.13"
-  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gasp.info.gz || :
 %endif
 fi
@@ -245,7 +234,4 @@
 %{_infodir}/gprof.info*
 %endif
-%if "%{binutils_version}" < "2.13"
-%{_infodir}/gasp.info*
-%endif
 
 %dir %{_prefix}/share
Index: contrib/crossrpms/rtems4.8/h8300/rtems-4.8-h8300-rtems4.8-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.8/h8300/rtems-4.8-h8300-rtems4.8-binutils.spec	(revision de35b5116ff5fcee565acc524f859530efbdf496)
+++ contrib/crossrpms/rtems4.8/h8300/rtems-4.8-h8300-rtems4.8-binutils.spec	(revision 9bd037492af5051c158096a0b11f73476dbc68f3)
@@ -14,7 +14,7 @@
 %endif
 
-%define binutils_pkgvers 2.17.90
-%define binutils_version 2.17.90
-%define binutils_rpmvers %{expand:%(echo "2.17.90" | tr - _ )}
+%define binutils_pkgvers 2.18
+%define binutils_version 2.18
+%define binutils_rpmvers %{expand:%(echo "2.18" | tr - _ )}
 
 Name:		rtems-4.8-h8300-rtems4.8-binutils
@@ -22,5 +22,5 @@
 Group:		Development/Tools
 Version:	%{binutils_rpmvers}
-Release:	2%{?dist}
+Release:	1%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/binutils
@@ -194,9 +194,4 @@
 Requires(preun):	/sbin/install-info
 
-Provides:	rtems-4.8-rtems4.7-base-binutils = %{binutils_version}-%{release}
-Obsoletes:	rtems-4.8-rtems4.7-base-binutils < %{binutils_version}-%{release}
-Provides:	rtems-4.8-rtems-base-binutils = %{binutils_version}-%{release}
-Obsoletes:	rtems-4.8-rtems-base-binutils < %{binutils_version}-%{release}
-
 %description -n rtems-4.8-binutils-common
 
@@ -213,7 +208,4 @@
 %if "%{binutils_version}" > "2.17"
   /sbin/install-info --info-dir=%{_infodir} %{_infodir}/gprof.info.gz || :
-%endif
-%if "%{binutils_version}" < "2.13"
-  /sbin/install-info --info-dir=%{_infodir} %{_infodir}/gasp.info.gz || :
 %endif
 
@@ -227,7 +219,4 @@
 %if "%{binutils_version}" > "2.17"
   /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gprof.info.gz || :
-%endif
-%if "%{binutils_version}" < "2.13"
-  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gasp.info.gz || :
 %endif
 fi
@@ -245,7 +234,4 @@
 %{_infodir}/gprof.info*
 %endif
-%if "%{binutils_version}" < "2.13"
-%{_infodir}/gasp.info*
-%endif
 
 %dir %{_prefix}/share
Index: contrib/crossrpms/rtems4.8/i386/rtems-4.8-i386-rtems4.8-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.8/i386/rtems-4.8-i386-rtems4.8-binutils.spec	(revision de35b5116ff5fcee565acc524f859530efbdf496)
+++ contrib/crossrpms/rtems4.8/i386/rtems-4.8-i386-rtems4.8-binutils.spec	(revision 9bd037492af5051c158096a0b11f73476dbc68f3)
@@ -14,7 +14,7 @@
 %endif
 
-%define binutils_pkgvers 2.17.90
-%define binutils_version 2.17.90
-%define binutils_rpmvers %{expand:%(echo "2.17.90" | tr - _ )}
+%define binutils_pkgvers 2.18
+%define binutils_version 2.18
+%define binutils_rpmvers %{expand:%(echo "2.18" | tr - _ )}
 
 Name:		rtems-4.8-i386-rtems4.8-binutils
@@ -22,5 +22,5 @@
 Group:		Development/Tools
 Version:	%{binutils_rpmvers}
-Release:	2%{?dist}
+Release:	1%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/binutils
@@ -194,9 +194,4 @@
 Requires(preun):	/sbin/install-info
 
-Provides:	rtems-4.8-rtems4.7-base-binutils = %{binutils_version}-%{release}
-Obsoletes:	rtems-4.8-rtems4.7-base-binutils < %{binutils_version}-%{release}
-Provides:	rtems-4.8-rtems-base-binutils = %{binutils_version}-%{release}
-Obsoletes:	rtems-4.8-rtems-base-binutils < %{binutils_version}-%{release}
-
 %description -n rtems-4.8-binutils-common
 
@@ -213,7 +208,4 @@
 %if "%{binutils_version}" > "2.17"
   /sbin/install-info --info-dir=%{_infodir} %{_infodir}/gprof.info.gz || :
-%endif
-%if "%{binutils_version}" < "2.13"
-  /sbin/install-info --info-dir=%{_infodir} %{_infodir}/gasp.info.gz || :
 %endif
 
@@ -227,7 +219,4 @@
 %if "%{binutils_version}" > "2.17"
   /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gprof.info.gz || :
-%endif
-%if "%{binutils_version}" < "2.13"
-  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gasp.info.gz || :
 %endif
 fi
@@ -245,7 +234,4 @@
 %{_infodir}/gprof.info*
 %endif
-%if "%{binutils_version}" < "2.13"
-%{_infodir}/gasp.info*
-%endif
 
 %dir %{_prefix}/share
Index: contrib/crossrpms/rtems4.8/m68k/rtems-4.8-m68k-rtems4.8-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.8/m68k/rtems-4.8-m68k-rtems4.8-binutils.spec	(revision de35b5116ff5fcee565acc524f859530efbdf496)
+++ contrib/crossrpms/rtems4.8/m68k/rtems-4.8-m68k-rtems4.8-binutils.spec	(revision 9bd037492af5051c158096a0b11f73476dbc68f3)
@@ -14,7 +14,7 @@
 %endif
 
-%define binutils_pkgvers 2.17.90
-%define binutils_version 2.17.90
-%define binutils_rpmvers %{expand:%(echo "2.17.90" | tr - _ )}
+%define binutils_pkgvers 2.18
+%define binutils_version 2.18
+%define binutils_rpmvers %{expand:%(echo "2.18" | tr - _ )}
 
 Name:		rtems-4.8-m68k-rtems4.8-binutils
@@ -22,5 +22,5 @@
 Group:		Development/Tools
 Version:	%{binutils_rpmvers}
-Release:	2%{?dist}
+Release:	1%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/binutils
@@ -194,9 +194,4 @@
 Requires(preun):	/sbin/install-info
 
-Provides:	rtems-4.8-rtems4.7-base-binutils = %{binutils_version}-%{release}
-Obsoletes:	rtems-4.8-rtems4.7-base-binutils < %{binutils_version}-%{release}
-Provides:	rtems-4.8-rtems-base-binutils = %{binutils_version}-%{release}
-Obsoletes:	rtems-4.8-rtems-base-binutils < %{binutils_version}-%{release}
-
 %description -n rtems-4.8-binutils-common
 
@@ -213,7 +208,4 @@
 %if "%{binutils_version}" > "2.17"
   /sbin/install-info --info-dir=%{_infodir} %{_infodir}/gprof.info.gz || :
-%endif
-%if "%{binutils_version}" < "2.13"
-  /sbin/install-info --info-dir=%{_infodir} %{_infodir}/gasp.info.gz || :
 %endif
 
@@ -227,7 +219,4 @@
 %if "%{binutils_version}" > "2.17"
   /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gprof.info.gz || :
-%endif
-%if "%{binutils_version}" < "2.13"
-  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gasp.info.gz || :
 %endif
 fi
@@ -245,7 +234,4 @@
 %{_infodir}/gprof.info*
 %endif
-%if "%{binutils_version}" < "2.13"
-%{_infodir}/gasp.info*
-%endif
 
 %dir %{_prefix}/share
Index: contrib/crossrpms/rtems4.8/mips/rtems-4.8-mips-rtems4.8-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.8/mips/rtems-4.8-mips-rtems4.8-binutils.spec	(revision de35b5116ff5fcee565acc524f859530efbdf496)
+++ contrib/crossrpms/rtems4.8/mips/rtems-4.8-mips-rtems4.8-binutils.spec	(revision 9bd037492af5051c158096a0b11f73476dbc68f3)
@@ -14,7 +14,7 @@
 %endif
 
-%define binutils_pkgvers 2.17.90
-%define binutils_version 2.17.90
-%define binutils_rpmvers %{expand:%(echo "2.17.90" | tr - _ )}
+%define binutils_pkgvers 2.18
+%define binutils_version 2.18
+%define binutils_rpmvers %{expand:%(echo "2.18" | tr - _ )}
 
 Name:		rtems-4.8-mips-rtems4.8-binutils
@@ -22,5 +22,5 @@
 Group:		Development/Tools
 Version:	%{binutils_rpmvers}
-Release:	2%{?dist}
+Release:	1%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/binutils
@@ -194,9 +194,4 @@
 Requires(preun):	/sbin/install-info
 
-Provides:	rtems-4.8-rtems4.7-base-binutils = %{binutils_version}-%{release}
-Obsoletes:	rtems-4.8-rtems4.7-base-binutils < %{binutils_version}-%{release}
-Provides:	rtems-4.8-rtems-base-binutils = %{binutils_version}-%{release}
-Obsoletes:	rtems-4.8-rtems-base-binutils < %{binutils_version}-%{release}
-
 %description -n rtems-4.8-binutils-common
 
@@ -213,7 +208,4 @@
 %if "%{binutils_version}" > "2.17"
   /sbin/install-info --info-dir=%{_infodir} %{_infodir}/gprof.info.gz || :
-%endif
-%if "%{binutils_version}" < "2.13"
-  /sbin/install-info --info-dir=%{_infodir} %{_infodir}/gasp.info.gz || :
 %endif
 
@@ -227,7 +219,4 @@
 %if "%{binutils_version}" > "2.17"
   /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gprof.info.gz || :
-%endif
-%if "%{binutils_version}" < "2.13"
-  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gasp.info.gz || :
 %endif
 fi
@@ -245,7 +234,4 @@
 %{_infodir}/gprof.info*
 %endif
-%if "%{binutils_version}" < "2.13"
-%{_infodir}/gasp.info*
-%endif
 
 %dir %{_prefix}/share
Index: contrib/crossrpms/rtems4.8/powerpc/rtems-4.8-powerpc-rtems4.8-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.8/powerpc/rtems-4.8-powerpc-rtems4.8-binutils.spec	(revision de35b5116ff5fcee565acc524f859530efbdf496)
+++ contrib/crossrpms/rtems4.8/powerpc/rtems-4.8-powerpc-rtems4.8-binutils.spec	(revision 9bd037492af5051c158096a0b11f73476dbc68f3)
@@ -14,7 +14,7 @@
 %endif
 
-%define binutils_pkgvers 2.17.90
-%define binutils_version 2.17.90
-%define binutils_rpmvers %{expand:%(echo "2.17.90" | tr - _ )}
+%define binutils_pkgvers 2.18
+%define binutils_version 2.18
+%define binutils_rpmvers %{expand:%(echo "2.18" | tr - _ )}
 
 Name:		rtems-4.8-powerpc-rtems4.8-binutils
@@ -22,5 +22,5 @@
 Group:		Development/Tools
 Version:	%{binutils_rpmvers}
-Release:	2%{?dist}
+Release:	1%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/binutils
@@ -194,9 +194,4 @@
 Requires(preun):	/sbin/install-info
 
-Provides:	rtems-4.8-rtems4.7-base-binutils = %{binutils_version}-%{release}
-Obsoletes:	rtems-4.8-rtems4.7-base-binutils < %{binutils_version}-%{release}
-Provides:	rtems-4.8-rtems-base-binutils = %{binutils_version}-%{release}
-Obsoletes:	rtems-4.8-rtems-base-binutils < %{binutils_version}-%{release}
-
 %description -n rtems-4.8-binutils-common
 
@@ -213,7 +208,4 @@
 %if "%{binutils_version}" > "2.17"
   /sbin/install-info --info-dir=%{_infodir} %{_infodir}/gprof.info.gz || :
-%endif
-%if "%{binutils_version}" < "2.13"
-  /sbin/install-info --info-dir=%{_infodir} %{_infodir}/gasp.info.gz || :
 %endif
 
@@ -227,7 +219,4 @@
 %if "%{binutils_version}" > "2.17"
   /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gprof.info.gz || :
-%endif
-%if "%{binutils_version}" < "2.13"
-  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gasp.info.gz || :
 %endif
 fi
@@ -245,7 +234,4 @@
 %{_infodir}/gprof.info*
 %endif
-%if "%{binutils_version}" < "2.13"
-%{_infodir}/gasp.info*
-%endif
 
 %dir %{_prefix}/share
Index: contrib/crossrpms/rtems4.8/sh/rtems-4.8-sh-rtems4.8-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.8/sh/rtems-4.8-sh-rtems4.8-binutils.spec	(revision de35b5116ff5fcee565acc524f859530efbdf496)
+++ contrib/crossrpms/rtems4.8/sh/rtems-4.8-sh-rtems4.8-binutils.spec	(revision 9bd037492af5051c158096a0b11f73476dbc68f3)
@@ -14,7 +14,7 @@
 %endif
 
-%define binutils_pkgvers 2.17.90
-%define binutils_version 2.17.90
-%define binutils_rpmvers %{expand:%(echo "2.17.90" | tr - _ )}
+%define binutils_pkgvers 2.18
+%define binutils_version 2.18
+%define binutils_rpmvers %{expand:%(echo "2.18" | tr - _ )}
 
 Name:		rtems-4.8-sh-rtems4.8-binutils
@@ -22,5 +22,5 @@
 Group:		Development/Tools
 Version:	%{binutils_rpmvers}
-Release:	2%{?dist}
+Release:	1%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/binutils
@@ -194,9 +194,4 @@
 Requires(preun):	/sbin/install-info
 
-Provides:	rtems-4.8-rtems4.7-base-binutils = %{binutils_version}-%{release}
-Obsoletes:	rtems-4.8-rtems4.7-base-binutils < %{binutils_version}-%{release}
-Provides:	rtems-4.8-rtems-base-binutils = %{binutils_version}-%{release}
-Obsoletes:	rtems-4.8-rtems-base-binutils < %{binutils_version}-%{release}
-
 %description -n rtems-4.8-binutils-common
 
@@ -213,7 +208,4 @@
 %if "%{binutils_version}" > "2.17"
   /sbin/install-info --info-dir=%{_infodir} %{_infodir}/gprof.info.gz || :
-%endif
-%if "%{binutils_version}" < "2.13"
-  /sbin/install-info --info-dir=%{_infodir} %{_infodir}/gasp.info.gz || :
 %endif
 
@@ -227,7 +219,4 @@
 %if "%{binutils_version}" > "2.17"
   /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gprof.info.gz || :
-%endif
-%if "%{binutils_version}" < "2.13"
-  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gasp.info.gz || :
 %endif
 fi
@@ -245,7 +234,4 @@
 %{_infodir}/gprof.info*
 %endif
-%if "%{binutils_version}" < "2.13"
-%{_infodir}/gasp.info*
-%endif
 
 %dir %{_prefix}/share
Index: contrib/crossrpms/rtems4.8/sparc/rtems-4.8-sparc-rtems4.8-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.8/sparc/rtems-4.8-sparc-rtems4.8-binutils.spec	(revision de35b5116ff5fcee565acc524f859530efbdf496)
+++ contrib/crossrpms/rtems4.8/sparc/rtems-4.8-sparc-rtems4.8-binutils.spec	(revision 9bd037492af5051c158096a0b11f73476dbc68f3)
@@ -14,7 +14,7 @@
 %endif
 
-%define binutils_pkgvers 2.17.90
-%define binutils_version 2.17.90
-%define binutils_rpmvers %{expand:%(echo "2.17.90" | tr - _ )}
+%define binutils_pkgvers 2.18
+%define binutils_version 2.18
+%define binutils_rpmvers %{expand:%(echo "2.18" | tr - _ )}
 
 Name:		rtems-4.8-sparc-rtems4.8-binutils
@@ -22,5 +22,5 @@
 Group:		Development/Tools
 Version:	%{binutils_rpmvers}
-Release:	2%{?dist}
+Release:	1%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/binutils
@@ -194,9 +194,4 @@
 Requires(preun):	/sbin/install-info
 
-Provides:	rtems-4.8-rtems4.7-base-binutils = %{binutils_version}-%{release}
-Obsoletes:	rtems-4.8-rtems4.7-base-binutils < %{binutils_version}-%{release}
-Provides:	rtems-4.8-rtems-base-binutils = %{binutils_version}-%{release}
-Obsoletes:	rtems-4.8-rtems-base-binutils < %{binutils_version}-%{release}
-
 %description -n rtems-4.8-binutils-common
 
@@ -213,7 +208,4 @@
 %if "%{binutils_version}" > "2.17"
   /sbin/install-info --info-dir=%{_infodir} %{_infodir}/gprof.info.gz || :
-%endif
-%if "%{binutils_version}" < "2.13"
-  /sbin/install-info --info-dir=%{_infodir} %{_infodir}/gasp.info.gz || :
 %endif
 
@@ -227,7 +219,4 @@
 %if "%{binutils_version}" > "2.17"
   /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gprof.info.gz || :
-%endif
-%if "%{binutils_version}" < "2.13"
-  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gasp.info.gz || :
 %endif
 fi
@@ -245,7 +234,4 @@
 %{_infodir}/gprof.info*
 %endif
-%if "%{binutils_version}" < "2.13"
-%{_infodir}/gasp.info*
-%endif
 
 %dir %{_prefix}/share
Index: contrib/crossrpms/rtems4.8/tic4x/rtems-4.8-tic4x-rtems4.8-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.8/tic4x/rtems-4.8-tic4x-rtems4.8-binutils.spec	(revision de35b5116ff5fcee565acc524f859530efbdf496)
+++ contrib/crossrpms/rtems4.8/tic4x/rtems-4.8-tic4x-rtems4.8-binutils.spec	(revision 9bd037492af5051c158096a0b11f73476dbc68f3)
@@ -14,7 +14,7 @@
 %endif
 
-%define binutils_pkgvers 2.17.90
-%define binutils_version 2.17.90
-%define binutils_rpmvers %{expand:%(echo "2.17.90" | tr - _ )}
+%define binutils_pkgvers 2.18
+%define binutils_version 2.18
+%define binutils_rpmvers %{expand:%(echo "2.18" | tr - _ )}
 
 Name:		rtems-4.8-tic4x-rtems4.8-binutils
@@ -22,5 +22,5 @@
 Group:		Development/Tools
 Version:	%{binutils_rpmvers}
-Release:	2%{?dist}
+Release:	1%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/binutils
@@ -194,9 +194,4 @@
 Requires(preun):	/sbin/install-info
 
-Provides:	rtems-4.8-rtems4.7-base-binutils = %{binutils_version}-%{release}
-Obsoletes:	rtems-4.8-rtems4.7-base-binutils < %{binutils_version}-%{release}
-Provides:	rtems-4.8-rtems-base-binutils = %{binutils_version}-%{release}
-Obsoletes:	rtems-4.8-rtems-base-binutils < %{binutils_version}-%{release}
-
 %description -n rtems-4.8-binutils-common
 
@@ -213,7 +208,4 @@
 %if "%{binutils_version}" > "2.17"
   /sbin/install-info --info-dir=%{_infodir} %{_infodir}/gprof.info.gz || :
-%endif
-%if "%{binutils_version}" < "2.13"
-  /sbin/install-info --info-dir=%{_infodir} %{_infodir}/gasp.info.gz || :
 %endif
 
@@ -227,7 +219,4 @@
 %if "%{binutils_version}" > "2.17"
   /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gprof.info.gz || :
-%endif
-%if "%{binutils_version}" < "2.13"
-  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gasp.info.gz || :
 %endif
 fi
@@ -245,7 +234,4 @@
 %{_infodir}/gprof.info*
 %endif
-%if "%{binutils_version}" < "2.13"
-%{_infodir}/gasp.info*
-%endif
 
 %dir %{_prefix}/share
